%define upstream_name	 Audio-MPD
%define upstream_version 2.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Class for talking to MPD (Music Player Daemon) servers 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Audio::MPD::Common::Item)
BuildRequires: perl(Audio::MPD::Common::Output)
BuildRequires: perl(Audio::MPD::Common::Stats)
BuildRequires: perl(Audio::MPD::Common::Status)
BuildRequires: perl(DB_File)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Euclid)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(Proc::Daemon)
BuildRequires: perl(Test::Corpus::Audio::MPD) >= 1.113.282
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Audio::MPD gives a clear object-oriented interface for talking to and
controlling MPD (Music Player Daemon) servers. A connection to the MPD server
is established as soon as a new Audio::MPD object is created. Commands are then
send to the server as the class's methods are called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"


%install
./Build install --destdir=%{buildroot}

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_bindir}/*
%{perl_vendorlib}/Audio
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Thu Jul 13 2017 bb2 <bb2> - 2.2.0-2pclos2017
- rebuild against updates

